package il.co.iter.dbdom;

import java.io.PrintStream;
import java.io.PrintWriter;

 /**
  * <code>DOMException is a generic exception thrown by DBDOM objects
  */

public class DBDOMException extends RuntimeException {

    //  exception that caused this exception to be thrown
    protected Exception rootException;
    // the message that will be printed between this and sqle' stack traces
    private static String ROOT_CAUSE_MSG = "Root cause:";

     /**
      * Constructs a <code>DBDOMException</code> with no specified
      * detailed message.
      */
    public DBDOMException () {
        super();
    }

     /**
      * Constructs a <code>DBDOMException</code> with a specified
      * detailed message.
      * @param message the specified detailed message.
      */
    public DBDOMException (String message) {
        super(message);
    }
     /**
      * Prints the stack backtrace of this exception, and the one that caused
      * it to be thrown, if any, to <code>System.err</code>.
      */
    public void printStackTrace() {
        printStackTrace (System.err);
    }

     /**
      * Prints the stack backtrace of this exception, and the one that caused
      * it to be thrown, if any, to the specified print stream.
      * @param s print stream to print to
      */
    public void printStackTrace(PrintStream s) {
        super.printStackTrace(s);
        if (rootException != null) {
            s.println(ROOT_CAUSE_MSG);
            rootException.printStackTrace(s);
        }
    }

     /**
      * Prints the stack backtrace of this exception, and the one that caused
      * it to be thrown, if any, to the specified print writer.
      * @param s print writer to print to
      */
    public void printStackTrace(PrintWriter s) {
        super.printStackTrace(s);
        if (rootException != null) {
            s.println(ROOT_CAUSE_MSG);
            rootException.printStackTrace(s);
        }
    }
}