package il.co.iter.dbdom;

import java.sql.SQLException;

 /**
  * <code>DOMSqlException</code> is thrown when an error occures in a
  * JDBC connection other than a DOMException.
  * The original <code>SQLException</code> is accessible through the
  * {@link <a href="#getSQLException()">getSQLEception()</a>}.
  */

public class DBDOMSqlException extends DBDOMException {

     /**
      * Constructs a <code>DBDOMSqlException</code> with no specified
      * detailed message.
      *
      * @param sqle <code>SQLException</code> that caused this exception
      * to be thrown
      */
    public DBDOMSqlException (SQLException sqle) {
        super();
        this.rootException = sqle;
    }

     /**
      * Constructs a <code>DBDOMSqlException</code> with a specified
      * detailed message.
      *
      * @param message the specified detailed message.
      * @param sqle <code>SQLException</code> that caused this exception
      * to be thrown
      */
    public DBDOMSqlException (String message, SQLException sqle) {
        super(message);
        this.rootException = sqle;
    }

    /**
     * @return a refernce to the <code>SQLException</code> that caused
     * this exception to be thrown
     */
    public SQLException getSQLException() {
        return (SQLException) super.rootException;
    }
}